Debian Bug report logs - #671280
incompatible with ZFS ABI in zfsutils

version graph

Package: kfreebsd-8; Maintainer for kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Robert Millan <rmh@debian.org>

Date: Wed, 2 May 2012 22:09:02 UTC

Severity: grave

Tags: sid, wheezy

Found in versions 8.2-15, kfreebsd-8/8.2-15~bpo60+1

Fixed in versions 8.3-1, kfreebsd-8/8.3-1

Done: Steven Chamberlain <steven@pyro.eu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#671280; Package kfreebsd-8. (Wed, 02 May 2012 22:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 02 May 2012 22:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: incompatible with ZFS ABI in zfsutils
Date: Thu, 03 May 2012 00:04:34 +0200
Package: kfreebsd-8
Version: 8.2-15
Severity: grave

The version of ZFS shipped with kFreeBSD 8.2 is not compatible with the ZFS ABI
in zfsutils 9.0.  zfsutils is completely unusable on kfreebsd 8.2 (and already
sets Breaks accordingly).

-- System Information:
Debian Release: 6.0.4
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#671280; Package kfreebsd-8. (Wed, 02 May 2012 22:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 02 May 2012 22:24:05 GMT) Full text and rfc822 format available.

Message #10 received at 671280@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>, 671280@bugs.debian.org
Subject: Re: Bug#671280: incompatible with ZFS ABI in zfsutils
Date: Wed, 02 May 2012 23:22:12 +0100
tags + wheezy sid
found 671280 kfreebsd-8/8.2-15~bpo60+1
fixed 671280 kfreebsd-8/8.3-1
blocks 671280 by 670184
thanks

Hi,

This is true, but I'm curious why did you file the bug?

8.2 should drop out of the archive anyway and be gone forever once 8.3-1
migrates (and by not setting the 'fixed in' version, this bug would have
prevented that).

I suppose backports.d.o would upgrade to 8.3-1 sometime after it reaches
testing.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Marked as found in versions kfreebsd-8/8.2-15~bpo60+1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 02 May 2012 22:24:07 GMT) Full text and rfc822 format available.

Marked as fixed in versions kfreebsd-8/8.3-1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 02 May 2012 22:24:07 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 02 May 2012 22:27:08 GMT) Full text and rfc822 format available.

Marked as found in versions kfreebsd-8/8.2-15~bpo60+1; no longer marked as found in versions kfreebsd-8/8.2-15~bpo60+1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 02 May 2012 22:27:09 GMT) Full text and rfc822 format available.

Marked as fixed in versions kfreebsd-8/8.3-1; no longer marked as fixed in versions kfreebsd-8/8.3-1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 02 May 2012 22:27:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671280: 670184 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 02 May 2012 22:27:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#671280; Package kfreebsd-8. (Sat, 05 May 2012 13:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 05 May 2012 13:24:06 GMT) Full text and rfc822 format available.

Message #27 received at 671280@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 671280@bugs.debian.org
Subject: Re: Bug#671280: incompatible with ZFS ABI in zfsutils
Date: Sat, 05 May 2012 14:22:24 +0100
close 671280 8.3-1
thanks

And today 8.3 entered testing.  Yay!

>  kfreebsd-8  (8.3-1) unstable; urgency=low
> 
>    * New upstream release.
>  
>    [ Robert Millan ]
>    * improve_tmpfs_mem_info.diff: Cherry-pick tmpfs allocation from
>      9-STABLE.  (Closes: #666747)
>    * mk_kernel_symbols.diff: Also fix kern.post.mk to shut lintian up.
> 
>  -- Robert Millan <rmh@debian.org>  Mon, 09 Apr 2012 23:17:06 +0200 

-- 
Steven Chamberlain
steven@pyro.eu.org




Marked as fixed in versions 8.3-1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sat, 05 May 2012 13:24:08 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sat, 05 May 2012 13:24:09 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Sat, 05 May 2012 13:24:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#671280; Package kfreebsd-8. (Sat, 05 May 2012 20:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 05 May 2012 20:21:04 GMT) Full text and rfc822 format available.

Message #38 received at 671280@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 671280@bugs.debian.org
Subject: Re: Bug#671280: incompatible with ZFS ABI in zfsutils
Date: Sat, 5 May 2012 22:19:45 +0200
2012/5/5 Steven Chamberlain <steven@pyro.eu.org>:
> close 671280 8.3-1
> thanks
>
> And today 8.3 entered testing.  Yay!

Excellent!  Maybe this helps with D-I builds...

I'll prepare the 8.3-2 upload RSN.

-- 
Robert Millan




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Jul 2012 07:31:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:22:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.